Skip to main content
PATCH
/
consents
/
{consentId}
Update consent
curl --request PATCH \
  --url https://api.gospott.com/consents/{consentId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "purpose": {},
  "comments": "<string>",
  "receivedAt": "2023-11-07T05:31:56Z",
  "validUntil": "2023-11-07T05:31:56Z"
}
'
{
  "status": 0,
  "message": "<string>",
  "requestId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

Body

application/json
framework
enum<string>

The regulatory framework

Available options:
GDPR,
PDPO

The legal basis for the consent

Available options:
CONSENT,
CONTRACT,
LEGAL_OBLIGATION,
VITAL_INTEREST,
PUBLIC_TASK,
LEGITIMATE_INTEREST
purpose
object

The purpose of the consent

comments
string | null

Free text field for additional comments

Minimum string length: 1
receivedAt
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
validUntil
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
status
enum<string>

The status of the consent

Available options:
GRANTED,
REVOKED

Response

Consent updated successfully